io.undertow.conduits

## Interface ConduitListener<T extends org.xnio.conduits.Conduit>

All Superinterfaces:
  EventListener

    public interface ConduitListener<T extends org.xnio.conduits.Conduit>
    extends EventListener

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleEvent(T channel)` Handle the event on this conduit.

### Method Detail

#### handleEvent

    void handleEvent(T channel)

Handle the event on this conduit.

Parameters:
  `channel` - the channel event